security/p5-Crypt-OpenSSL-AES - The NetBSD Packages Collection

Perl5 wrapper module for the OpenSSL AES functions

This module implements a wrapper around OpenSSL. Specifically, it wraps the
methods related to the US Government's Advanced Encryption Standard (the
Rijndael algorithm).
This module is compatible with Crypt::CBC (and likely other modules that
utilize a block cipher to make a stream cipher).
This module is an alternative to the implementation provided by Crypt::Rijndael
which implements AES itself. In contrast, this module is simply a wrapper
around the OpenSSL library.
The Crypt::Rijndael implementation seems to produce inaccurate results on
64-bit x86 machines. By using OpenSSL, this module aims to avoid architecture
specific problems, allowing the OpenSSL maintainers to overcome such issues.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 8.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 8.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 8.0i386p5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 8.0i386p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 8.0powerpcp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 8.0powerpcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 8.0powerpcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 8.0powerpcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 8.0x86_64p5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 8.0x86_64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0aarch64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0aarch64p5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0aarch64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0alphap5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0alphap5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0alphap5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0earmp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmv6hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmv6hfp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0earmv6hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0earmv7hfp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0i386p5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0i386p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0mips64ebp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0mips64ebp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0mips64ebp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0mips64ebp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0mips64ebp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0powerpcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0powerpcp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0powerpcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0powerpcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0sparc64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0sparc64p5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0sparc64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0sparcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0sparcp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0sparcp5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0sparcp5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0x86_64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0x86_64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0x86_64p5-Crypt-OpenSSL-AES-0.02nb17.tgz
NetBSD 9.0x86_64p5-Crypt-OpenSSL-AES-0.02nb18.tgz
NetBSD 9.0x86_64p5-Crypt-OpenSSL-AES-0.02nb18.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.